## org.eclipse.jetty.websocket
Interface WebSocket

    public interface WebSocket

Nested Class Summary
`static interface` `WebSocket.Outbound`

Field Summary
`static byte` `LENGTH_FRAME`
`static byte` `SENTINEL_FRAME`

Method Summary
`void` `onConnect(WebSocket.Outbound outbound)`
`void` `onDisconnect()`
`void` `onFragment(boolean more, byte opcode, byte[] data, int offset, int length)`
`void` `onMessage(byte opcode, byte[] data, int offset, int length)`
`void` `onMessage(byte opcode, String data)`

Field Detail

### LENGTH_FRAME

    static final byte LENGTH_FRAME

See Also:
  Constant Field Values

### SENTINEL_FRAME

    static final byte SENTINEL_FRAME

See Also:
  Constant Field Values

Method Detail

### onConnect

    void onConnect(WebSocket.Outbound outbound)

### onMessage

    void onMessage(byte opcode,
                   String data)

### onFragment

    void onFragment(boolean more,
                    byte opcode,
                    byte[] data,
                    int offset,
                    int length)

### onMessage

    void onMessage(byte opcode,
                   byte[] data,
                   int offset,
                   int length)

### onDisconnect

    void onDisconnect()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.